Summary:   Dynamic Host Control Protocol Server and Clients
Name:      dhcp
Version:   2.0
Release:   1
Serial:    201
Source0:   ftp://ftp.isc.org/isc/dhcp/%{name}-%{version}.tar.gz
Source1:   dhcpd.init
Source2:   dhcpd.conf.sample
Copyright: distributable
Group:     Networking/Daemons
Prereq:    /sbin/chkconfig
Obsoletes: dhcpd
BuildRoot: /tmp/%{name}-%{version}-root

%description
The Internet Software Consortium DHCP Server, dhcpd, implements the
Dynamic Host Configuration Protocol (DHCP) and the Internet Bootstrap
Protocol (BOOTP).  DHCP allows hosts on a TCP/IP network to request
and be assigned IP addresses, and also to discover information about
the network to which they are attached.  BOOTP provides similar
functionality, with certain restrictions.

%package client
Summary:   Dynamic Host Configuration Protocol Client
Group:     Networking/Utilities
Obsoletes: dhcpcd

%description client
The Internet Software Consortium DHCP Client, dhclient, provides a
means for configuring one or more network interfaces using the Dynamic
Host Configuration Protocol, BOOTP protocol, or if these protocols
fail, by statically assigning an address.

%prep
%setup -q
cp %{SOURCE2} .

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

make DESTDIR=$RPM_BUILD_ROOT FFMANDIR=/usr/man/man5 install

install -m755 $RPM_SOURCE_DIR/dhcpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd

touch $RPM_BUILD_ROOT/var/state/dhcp/dhcpd.leases
touch $RPM_BUILD_ROOT/var/state/dhcp/dhclient.leases

strip $RPM_BUILD_ROOT/{sbin/*,usr/sbin/*} || :

%post
/sbin/chkconfig --add dhcpd

# Move old lease database to new location
if [ -f /etc/dhcpd.leases ]; then
	cp -f /etc/dhcpd.leases /var/state/dhcp/dhcpd.leases
fi

if [ ! -f /var/state/dhcp/dhcpd.leases ]; then
	touch /var/state/dhcp/dhcpd.leases
fi

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del dhcpd
fi

%post client
# Move old lease database to new location
if [ -f /etc/dhclient.leases ]; then
        cp -f /etc/dhclient.leases /var/state/dhcp/dhclient.leases
fi

if [ ! -f /var/state/dhcp/dhclient.leases ]; then
        touch /var/state/dhcp/dhclient.leases
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README RELNOTES doc/* server/dhcpd.conf dhcpd.conf.sample
%config /etc/rc.d/init.d/dhcpd
%attr(644,root,man) /usr/man/man5/dhcpd.conf.5
%attr(644,root,man) /usr/man/man5/dhcpd.leases.5
%attr(644,root,man) /usr/man/man5/dhcp-options.5
%attr(644,root,man) /usr/man/man8/dhcpd.8
%attr(644,root,man) /usr/man/man8/dhcrelay.8
/usr/sbin/dhcpd
/usr/sbin/dhcrelay
%dir /var/state/dhcp
%ghost /var/state/dhcp/dhcpd.leases

%files client
%defattr(-,root,root)
%doc CHANGES README RELNOTES doc/* client/dhclient.conf
/etc/dhclient-script
/sbin/dhclient
%attr(644,root,man) /usr/man/man5/dhclient.conf.5
%attr(644,root,man) /usr/man/man5/dhclient.leases.5
%attr(644,root,man) /usr/man/man8/dhclient.8
%attr(644,root,man) /usr/man/man8/dhclient-script.8
%dir /var/state/dhcp
%ghost /var/state/dhcp/dhclient.leases

%changelog
* Thu Jun 24 1999 Arne Coucheron <arneco@online.no>
  [2.0-1]
- added sample config file from RH 6.0 package

* Mon May 31 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl27-1]

* Sat Mar 06 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl18-1]
- lease databases moved to /var/state/dhcp

* Wed Feb 24 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl14-2]
- no changes, just rereleasing it since some idiot doesn't follow common
  sense, but completely ruins the work that other people does

* Sun Feb 21 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl14-1]
- using DESTDIR when doing install

* Thu Feb 18 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl13-1]

* Sat Jan 16 1999 Arne Coucheron <arneco@online.no>
  [2.0b1pl8-1]

* Sun Sep 06 1998 Arne Coucheron <arneco@online.no>
  [2.0b1pl6-2]
- added CC="gcc -pipe" to make in the %build section

* Sat Jun 27 1998 Arne Coucheron <arneco@online.no>
  [2.0b1pl6-1]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- cleaned out some changelog entries
- changed name of spec file to dhcp.spec

* Tue May 19 1998 Arne Coucheron <arneco@online.no>
  [2.0b1pl1-1]
- using %defattr, requires rpm 2.5 to build now
- removed glibc patch, fixed in sources